import pandas as pd
import geopandas as gpd
from shapely.geometry import shape

def main():
    # Create the directory if it does not exist
    os.makedirs('../data', exist_ok=True)
    dataset_links = pd.read_csv("https://minedbuildings.blob.core.windows.net/global-buildings/dataset-links.csv")
    for _, row in dataset_links.iterrows():
        df = pd.read_json(row.Url, lines=True)
        df['geometry'] = df['geometry'].apply(shape)
        gdf = gpd.GeoDataFrame(df, crs=4326)
        gdf.to_file(f"../data/{row.QuadKey}.geojson", driver="GeoJSON")


if __name__ == "__main__":
    main()
